/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import java.io.Writer;
import java.io.IOException;
import com.silverwrist.venice.except.ValidationException;

public class CDPasswordFormField extends CDBaseFormField
{
  private int size;
  private int maxlength;

  public CDPasswordFormField(String name, String caption, String caption2, boolean required,
			     int size, int maxlength)
  {
    super(name,caption,caption2,required);
    this.size = size;
    this.maxlength = maxlength;

  } // end constructor

  protected CDPasswordFormField(CDPasswordFormField other)
  {
    super(other);
    this.size = other.size;
    this.maxlength = other.maxlength;

  } // end constructor

  protected void renderActualField(Writer out, RenderData rdat) throws IOException
  {
    out.write("<SPAN CLASS=\"cinput\"><INPUT TYPE=PASSWORD CLASS=\"cinput\" NAME=\"" + getName() + "\" SIZE="
	      + String.valueOf(size));
    out.write(" MAXLENGTH=" + String.valueOf(maxlength));
    if (!isEnabled())
      out.write(" DISABLED");
    out.write(" VALUE=\"");
    if (getValue()!=null)
      out.write(getValue());
    out.write("\"></SPAN>");

  } // end renderActualField

  protected void validateContents(String value) throws ValidationException
  { // this is a do-nothing value
  } // end validateContents

  public CDFormField duplicate()
  {
    return new CDPasswordFormField(this);

  } // end clone

} // end class CDPasswordFormField
